---
lang: en
title: 'API docs: context.context.getresolutioncontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.context.getresolutioncontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [getResolutionContext](./context.context.getresolutioncontext.md)

## Context.getResolutionContext() method

Locate the resolution context for the given binding. Only bindings in the resolution context and its ancestors are visible as dependencies to resolve the given binding

**Signature:**

```typescript
getResolutionContext(binding: Readonly<Binding<unknown>>): Context | undefined;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

binding


</td><td>

Readonly&lt;[Binding](./context.binding.md)<!-- -->&lt;unknown&gt;&gt;


</td><td>

Binding object


</td></tr>
</tbody></table>

**Returns:**

[Context](./context.context.md) \| undefined


